/**
 * @author Thomas Bellembois
 * @version
 * 
 * Creation date : 21 juil. 2005
 * Last modification :
 */
package org.esupportail.injac.webdavServer.esupWDServerManager;

import java.net.MalformedURLException;
import java.rmi.RemoteException;

import javax.xml.rpc.ServiceException;

import org.apache.commons.configuration.ConfigurationException;
import org.esupportail.injac.webdavServer.esupWDServerManager.controller.CWDServerManager;
import org.esupportail.injac.webdavServer.esupWDServerManager.userInterface.PWDServerManagerGR;

public class Factory2 extends IFactory{
	
	public IPACProduct newPQuotaManager() throws ConfigurationException {
		if (args != null) return new PWDServerManagerGR(args);
		else return new PWDServerManagerGR();
	}
	
	public IPACProduct newCQuotaManager(IFactory factory) throws MalformedURLException, RemoteException, ConfigurationException, ServiceException{
		return new CWDServerManager(factory);
	}
	
}
